export enum AccessWaysEnum {
  aftPortsideStair = "aft_portside_stair",
  aftStarboardStair = "aft_starboard_stair",
  quaysideCrane = "quayside_crane",
  fwdPortsideStair = "fwd_portside_stair",
  fwdStarboardStair = "fwd_starboard_stair",
  engineFunnel = "engine_funnel",
  midPortsideStair = "mid_portside_stair",
  midStarboardStair = "mid_starboard_stair",
  notAccessible = "not_accessible",
}

export type AccessWaysKey =
  | "aft_portside_stair"
  | "aft_starboard_stair"
  | "quayside_crane"
  | "fwd_portside_stair"
  | "fwd_starboard_stair"
  | "engine_funnel"
  | "mid_portside_stair"
  | "mid_starboard_stair"
  | "not_accessible";

export type AccessWays = {
  aft_mooring_deck?:
    | AccessWaysEnum.aftPortsideStair
    | AccessWaysEnum.aftStarboardStair
    | AccessWaysEnum.quaysideCrane;
  fwd_mooring_deck?:
    | AccessWaysEnum.fwdPortsideStair
    | AccessWaysEnum.fwdStarboardStair
    | AccessWaysEnum.quaysideCrane;
  engine_room?:
    | AccessWaysEnum.aftPortsideStair
    | AccessWaysEnum.aftStarboardStair
    | AccessWaysEnum.engineFunnel
    | AccessWaysEnum.midPortsideStair
    | AccessWaysEnum.midStarboardStair;
  starboard_gangway?:
    | AccessWaysEnum.midStarboardStair
    | AccessWaysEnum.notAccessible;
};
